<?php
session_start();

require('fpdf.php');
include($_SERVER[DOCUMENT_ROOT].'/kernel/conecta.php');




// $_GET[ids_ordem_temp] = '3';
// $_GET[ids_ordem_temp] = '14,16';


$id_ordem_temp = str_replace(';', ',', $_GET[ids_ordem_temp]);
print_r($_GET);

$id_pagamento = intval($_GET[id_pagamento]);




//VERIFICA SE TODOS OS CAMPOS FORAM PREENCHIDOS
if ($id_pagamento == 0){
	$_POST[erro] = 'Entre com o número da carteira!';

	index();
	exit;
}

//VERIFICA SE TODOS OS CAMPOS FORAM PREENCHIDOS
if ($id_ordem_temp == ''){
	echo 'Entre com o número da comanda!';
	exit;
}



// PEGA O CLIENTE DA PRIMEIRA COMANDA
$sql_enti = selecionar('enti_tx_nome,enti_tx_cnpj,orde_tx_comanda,orde_nb_id,orde_nb_user|ordem_temp,entidade','orde_nb_id,orde_tx_status',"$id_ordem_temp,!inativo",' LIMIT 1 ');
$a_enti = carrega_array($sql_enti);

$a_user = carregar('user',$a_enti[orde_nb_user]);

$sql_carteira = selecionar('orpr_temp','orpr_tx_status,orpr_nb_id',"pagamento,$id_pagamento"," LIMIT 1 ");
$a_carteira = carrega_array($sql_carteira);


// SE O CLIENTE NÃO POSSUIR NOME, EXIBE O CPF
if ( trim($a_enti[enti_tx_nome]) != '' )
	$nome_cliente = $a_enti[enti_tx_nome];
else
	$nome_cliente = $a_enti[enti_tx_cnpj];




define(PASTA_LOCAL,$_SERVER[DOCUMENT_ROOT].$CACTUX_CONF['path']);

//$arquivo_pdf = PASTA_LOCAL.'/impressao/conteudo_imprimir.pdf';

// VERIFICA O ID DO USUARIO QUE IMPRIMIU PARA MANTER A FILA DE IMPRESSAO
if( $_SESSION[user_nb_id] == '' )	$ID_USER = rand(1000,9999); else	$ID_USER = $_SESSION[user_nb_id];

$arquivo_pdf = PASTA_LOCAL.'/impressao/conteudo_imprimir_'.$_GET[impressora].'_'.$ID_USER.'.pdf';






// INICIA A CRIAÇÃO DO PDF
$pdf = new FPDF("P","mm",array($CONFIGURA[LARGURA_IMPRESSAO],$CONFIGURA[ALTURA_IMPRESSAO]));
$pdf->SetMargins($CONFIGURA[MARGEM_ESQUERDA],$CONFIGURA[MARGEM_TOPO],$CONFIGURA[MARGEM_DIREITA]);
$pdf->AddPage();






for ($i=0; $i<1; $i++) {
	

	// CRIA O CABEÇALHO DA IMPRESSÃO
 
	$pdf->SetFont('arial','B',14);
	$pdf->Cell(0,5,$CONFIGURA[NOME_SISTEMA],0,1,'C');
	$pdf->Ln(1);
	$pdf->SetFont('arial','B',8);
	$pdf->Cell(0,1,"PAGAMENTO EM CARTEIRA",0,1,'C');
	$pdf->SetFont('arial','',7);
	$pdf->Ln(4);




	
	$pdf->SetFont('arial','B',10);
	$pdf->Cell(50,3,"DATA/HORA:",0,0,"L");
	$pdf->SetFont('arial','',10);
	$pdf->Cell(0,3,date('d/m/Y (H:i:s)'),0,1,"R");
	$pdf->Ln(1);


	
	$pdf->SetFont('arial','B',10);
	$pdf->Cell(50,3,"VENDA N°:",0,0,"L");
	$pdf->SetFont('arial','',10);
	$pdf->Cell(0,3,$a_enti[orde_nb_id],0,1,"R");
	$pdf->Ln(1);


	
	$pdf->SetFont('arial','B',10);
	$pdf->Cell(50,3,"VALOR:",0,0,"L");
	$pdf->SetFont('arial','',10);
	$pdf->Cell(0,3,"R$ ".mostra_valor(($a_carteira[orpr_tx_valor]*$a_carteira[orpr_tx_qtde]-$a_carteira[orpr_tx_desconto])*(-1),1),0,1,"R");
	$pdf->Ln(1);




	// CRIA O LOCAL DA ASSINATURA
	$pdf->SetFont('arial','B',8);

	$pdf->Cell(0,15,$nome_cliente,0,1,"C");

	$pdf->Cell(0,1,"___________________________","",1,'C'); // CRIA UMA LINHA DIVISÓRIA
	$pdf->SetFont('arial','',8);


	$pdf->Ln(8);

	$pdf->Cell(0,15,'Operador: '.$a_user[user_tx_nome],0,1,"C");

	// $pdf->Cell(0,15,'CACTUS TECNOLOGIA',0,1,"R");

	// if ( $i == 0 ) {
	// 	$pdf->Cell(0,1,"------------------------------------------------------------------","",1,'C'); // CRIA UMA LINHA PONTILHADA
	// 	$pdf->Ln(8);
	// }


} // FIM DO FOR







// GERA O ARQUIVO PDF
$pdf->Output($arquivo_pdf,'F'); // DESCOMENTAR PARA PRODUÇÃO

$id_impressora = id_impressora();



bat_imprime($arquivo_pdf,$id_impressora);
bat_imprime($arquivo_pdf,$id_impressora);